Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class TilingPattern

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<TDataObject>
              org.pdfclown.documents.contents.colorSpaces.Pattern<PdfStream>
                  org.pdfclown.documents.contents.colorSpaces.TilingPattern

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  TilingPattern.Colorized

    @PDF(value=PDF12)
    public class TilingPattern

extends Pattern<PdfStream>

Pattern consisting of a small graphical figure called pattern cell [PDF:1.6:4.6.2].

Painting with the pattern replicates the cell at fixed horizontal and vertical intervals to fill an area.

Since:
  0.1.0
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `TilingPattern.Colorized` Uncolored tiling pattern ("stencil") associated to a color.
`static class` | `TilingPattern.PaintTypeEnum` Pattern cell color mode.
`static class` | `TilingPattern.TilingTypeEnum` Spacing adjustment of tiles relative to the device pixel grid.

Field Summary

Fields inherited from class org.pdfclown.documents.contents.colorSpaces.Pattern
`Default`

Method Summary
`TilingPattern.Colorized` | `colorize(Color<?> color)` Gets the colorized representation of this pattern.
`Rectangle2D` | `getBox()` Gets the pattern cell's bounding box (expressed in the pattern coordinate system) used to clip the pattern cell.
`TilingPattern.PaintTypeEnum` | `getPaintType()` Gets how the color of the pattern cell is to be specified.
`Resources` | `getResources()` Gets the named resources required by the pattern's content stream.
`TilingPattern.TilingTypeEnum` | `getTilingType()` Gets how to adjust the spacing of tiles relative to the device pixel grid.
`double` | `getXStep()` Gets the horizontal spacing between pattern cells (expressed in the pattern coordinate system).
`double` | `getYStep()` Gets the vertical spacing between pattern cells (expressed in the pattern coordinate system).

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Pattern
`clone, getComponents, getDictionary, getMatrix, wrap`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Color
`getColorSpace, normalizeComponent`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### colorize

    public TilingPattern.Colorized colorize(Color<?> color)

  Gets the colorized representation of this pattern.

  Parameters:
    `color` - Color to be applied to the pattern.
  Throws:
    `UnsupportedOperationException` - In case this isn't an uncolored tiling pattern.

### getBox

    public Rectangle2D getBox()

  Gets the pattern cell's bounding box (expressed in the pattern coordinate system) used to clip the pattern cell.

### getPaintType

    public TilingPattern.PaintTypeEnum getPaintType()

  Gets how the color of the pattern cell is to be specified.

### getResources

    public Resources getResources()

  Gets the named resources required by the pattern's content stream.

### getTilingType

    public TilingPattern.TilingTypeEnum getTilingType()

  Gets how to adjust the spacing of tiles relative to the device pixel grid.

### getXStep

    public double getXStep()

  Gets the horizontal spacing between pattern cells (expressed in the pattern coordinate system).

### getYStep

    public double getYStep()

  Gets the vertical spacing between pattern cells (expressed in the pattern coordinate system).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.